#pragma once

#include <vector>

#include "mergefile.h"

// a list of files with the same size
class Files {
public:
	Files();

	void addNewFile(std::shared_ptr<File> file, Hash hash);

	// check if at least one file can be deduplicated
	bool hasDuplicates() const;

	uint32_t getFileCount() const;
	std::vector<MergeFile>& getFiles();
	const std::vector<MergeFile>& getFiles() const;
private:
	std::vector<MergeFile> files;
};
